package cn.com.tenlion.materialstore.pojo.dtos.materiallink;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialLinkDTO
 * @Description: 链接素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 10:54:44
 * @Version: 3.0
 **/
@ApiModel
public class MaterialLinkDTO {

    @ApiModelProperty(name = "materialLinkId", value = "链接素材表")
    private String materialLinkId;
    @ApiModelProperty(name = "materialLinkPath", value = "跳转路径")
    private String materialLinkPath;
    @ApiModelProperty(name = "materialLinkMode", value = "跳转方式")
    private String materialLinkMode;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "materialStatus", value = "")
    private Integer materialStatus;
    @ApiModelProperty(name = "creatorName", value = "")
    private String creatorName;

    public Integer getMaterialStatus() {
        return materialStatus;
    }

    public void setMaterialStatus(Integer materialStatus) {
        this.materialStatus = materialStatus;
    }

    public String getCreatorName() {
        return creatorName == null ? "" : creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getMaterialLinkId() {
        return materialLinkId == null ? "" : materialLinkId.trim();
    }

    public void setMaterialLinkId(String materialLinkId) {
        this.materialLinkId = materialLinkId;
    }

    public String getMaterialLinkPath() {
        return materialLinkPath == null ? "" : materialLinkPath.trim();
    }

    public void setMaterialLinkPath(String materialLinkPath) {
        this.materialLinkPath = materialLinkPath;
    }

    public String getMaterialLinkMode() {
        return materialLinkMode == null ? "" : materialLinkMode.trim();
    }

    public void setMaterialLinkMode(String materialLinkMode) {
        this.materialLinkMode = materialLinkMode;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
